package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.model.ResultState;
import com.lightinit.hsdataplatformresdir.model.admin.DictionaryDataModel;
import com.lightinit.hsdataplatformresdir.model.admin.TreeModel;

import java.util.List;

/**
 * @author WangYao
 * @date 2018/6/3 11:39
 * @description 目录管理业务接口
 */
public interface IDictionaryMgrService {

    List<TreeModel> queryTreeData();
    ResultState<Long> addOrEdit(DictionaryDataModel inputModel);
    ResultState<Long> addOrEditDicGroup(DictionaryDataModel inputModel);
    ResultState<Long> addOrEditDic(DictionaryDataModel inputModel);
    ResultState<Long> deleteDicGroup(long id);
    ResultState<Long> deleteDic(long id);

}
